XmbResetIC(3X11)

NAME
XmbResetIC, XwcResetIC - reset the state of an input context

SYNTAX
char * XmbResetIC(ic)
      XIC ic;

wchar_t * XwcResetIC(ic)
      XIC ic;

ARGUMENTS

ic  Specifies the input context.

DESCRIPTION
The and functions reset input context to initial state. Any input pending on that context is deleted. Input method is required to clear preedit area, if any, and update status accordingly. Calling or does not change the focus.

The return value of is its current preedit string as a multibyte string. The return value of is its current preedit string as a wide character string. It is input method implementation dependent whether these routines return a non-NULL string or NULL.

The client should free the returned string by calling

SEE ALSO
XCreateIC(3X11), XOpenIM(3X11), XSetICFocus(3X11), XSetICValues(3X11)
Xlib - C Language X Interface